import logging
import os
from subprocess import Popen, DEVNULL
from time import sleep

LOGGER = logging.getLogger(__name__)
LOGGER.setLevel(logging.DEBUG)

def test_demo():
    print('Demo Test')
    pass

def test_tstat():
    here = os.path.dirname(os.path.abspath(__file__))
    generator_filename = os.path.join(here, 'data_generator.py')
    p2 = Popen(["python3",generator_filename], stdout=DEVNULL)
    print('Started')
    sleep(15)
    #p1.terminate()
    os.system("kill %s" % (p2.pid, ))
    print('Ended Successfully')
